/*****************************************************************************
* checkbrute Checksum Bruteforcing Tool
* Copyright (C) 2020 Syping
*
* Redistribution and use in source and binary forms, with or without modification,
* are permitted provided that the following conditions are met:
*
* 1. Redistributions of source code must retain the above copyright notice,
* this list of conditions and the following disclaimer.
*
* 2. Redistributions in binary form must reproduce the above copyright notice,
* this list of conditions and the following disclaimer in the documentation
* and/or other materials provided with the distribution.
*
* This software is provided as-is, no warranties are given to you, we are not
* responsible for anything with use of the software, you are self responsible.
*****************************************************************************/

#ifndef CHECKSUM_H
#define CHECKSUM_H

#include <QByteArray>
#include <QObject>

class checksum : public QObject
{
    Q_OBJECT
public:
    virtual QByteArray generateChecksum(const QByteArray &data);
    virtual const QString formatName();
    virtual int checksumSize();
};

#endif // CHECKSUM_H
